Use `SUIBottomSheet` when you want to display a bottomsheet.

Set `floatted: true ` if you want the bottom sheet to be floatted (have margin all around it, like some iOS bottom sheets).

You can also have a trailing Widget that can be useful for a close button when you have `enableDrag` set to false
```
// Set up the bottom sheet

Future<void> _openBottomSheet(BuildContext context) async {
  await SUIBottomSheet.show(
    context: context,
    floatted: true,
    content: Container(
      alignment: Alignment.center,
      height: 400,
      child: UIHeading(
        heading: 3,
        text: 'floatted Bottom Sheet',
      ),
    ),
  );
}

// Open the bottom sheet 

SUIButton.solid(
  label: 'Open Bottom Sheet',
  onPressed: () async {

    // OPEN BOTTOM SHEET
    // and wait until it's closed
    await _openBottomSheet(context);

    // proceed
    print('Bottom sheet closed');
  },
),










```