import 'package:flutter/material.dart';
import 'package:flutter_ui_toolkit/UIBottomSheet/UIBottomSheet.dart';
import 'package:flutter_ui_toolkit/UIHeading/UIHeading.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class DeviceFrame extends StatelessWidget {
  DeviceFrame({
    required this.child,
  });
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          width: 420,
          height: 880,
          child: Stack(
            children: [
              Positioned.fill(
                child: Image.asset(
                  '../assets/iphone.png',
                  fit: BoxFit.contain,
                ),
              ),
              Positioned(
                top: 80,
                left: 42,
                child: Container(
                  width: 335,
                  height: 720,
                  child: ClipRRect(
                    borderRadius: BorderRadius.circular(35.0),
                    child: Scaffold(
                      backgroundColor: Colors.white,
                      appBar: AppBar(
                        backgroundColor: Colors.white,
                        elevation: 0.0,
                      ),
                      body: Builder(
                        builder: (BuildContext context) {
                          return Column(
                            children: [
                              SUIButton.solid(
                                label: 'Open Bottom Sheet',
                                onPressed: () => _openBottomSheet(context),
                              ),
                            ],
                          );
                        },
                      ),
                    ),
                  ),
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}

Future<void> _openBottomSheet(BuildContext context) async {
  await UIBottomSheet.show(
    context: context,
    floatted: true,
    hideHead: false,
    content: Container(
      alignment: Alignment.center,
      height: 400,
      child: UIHeading(
        heading: 3,
        text: 'floatted Bottom Sheet',
      ),
    ),
  );
}
