import 'package:example/utils/external_link.dart';
import 'package:example/utils/markdown_generator..dart';
import 'package:flutter/material.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class ShiftStyles extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        ///
        /// FONTS
        ///
        SUIText.heading(
          'Font Family',
          heading: 3,
          color: SUIPalette.primary,
        ),
        SizedBox(height: 10),
        Row(
          children: [
            SUIText.heading(
              'For font family use the class ',
              heading: 6,
            ),
            ExternalLink(
              text: 'UIFonts',
              link: 'https://bitbucket.org/shift_development_team/shift-ui/src/master/lib/styles/fonts.dart',
            ),
          ],
        ),

        Container(
          height: 150,
          child: MarkdownGenerator(data: "shift_ui_fonts.md"),
        ),

        SizedBox(height: 40),

        ///
        /// PALETTE
        ///
        SUIText.heading(
          'Color Palette',
          heading: 3,
          color: SUIPalette.primary,
        ),
        SizedBox(height: 10),
        Row(
          children: [
            SUIText.heading(
              'For font family use the class ',
              heading: 6,
            ),
            ExternalLink(
              text: 'SUIPalette',
              link: 'https://bitbucket.org/shift_development_team/shift-ui/src/master/lib/styles/palette.dart',
            ),
          ],
        ),
        Container(
          height: 200,
          child: MarkdownGenerator(data: "shift_ui_palette.md"),
        ),

        SizedBox(height: 40),

        ///
        /// SPACING
        ///
        SUIText.heading(
          'Spacing',
          heading: 3,
          color: SUIPalette.primary,
        ),
        SizedBox(height: 10),
        Row(
          children: [
            SUIText.heading(
              'For spacing use the class ',
              heading: 6,
            ),
            ExternalLink(
              text: 'SUISpacing',
              link: 'https://bitbucket.org/shift_development_team/shift-ui/src/master/lib/styles/spacing.dart',
            ),
          ],
        ),
        Container(
          height: 220,
          child: MarkdownGenerator(data: "shift_ui_spacing.md"),
        ),
        SizedBox(height: 40),

        ///
        /// BORDER RADIUS
        ///
        SUIText.heading(
          'Border Radus',
          heading: 3,
          color: SUIPalette.primary,
        ),
        SizedBox(height: 10),
        Row(
          children: [
            SUIText.heading(
              'For border radius use the class ',
              heading: 6,
            ),
            ExternalLink(
              text: 'SUIBorderRadius',
              link: 'https://bitbucket.org/shift_development_team/shift-ui/src/master/lib/styles/border_radius.dart',
            ),
          ],
        ),
        Container(
          height: 220,
          child: MarkdownGenerator(data: "shift_ui_border_radius.md"),
        ),
        SizedBox(height: 40),
      ],
    );
  }
}
