import 'package:example/components/device_frame/device_frame.dart';
import 'package:example/utils/external_link.dart';
import 'package:example/utils/markdown_generator..dart';
import 'package:flutter/material.dart';
import 'package:flutter_ui_toolkit/flutter_ui_toolkit.dart';

import 'package:shift_online_ui/shift_online_ui.dart';

class ShiftUiBottomSheet extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        children: [
          ///
          /// Documentation
          ///

          Expanded(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Row(
                  children: [
                    SUIText.heading(
                      'Shift UI BottomSheet ',
                      heading: 3,
                      color: SUIPalette.primary,
                    ),
                    ExternalLink(
                      text: 'SUIBottomSheet',
                      link:
                          'https://bitbucket.org/shift_development_team/shift-ui/src/master/lib/shift_button/shift_button.dart',
                    ),
                  ],
                ),
                Container(
                  height: 850,
                  child: MarkdownGenerator(data: "shift_ui_bottom_sheet.md"),
                ),
              ],
            ),
          ),
          Expanded(
            child: Row(
              children: [
                SizedBox(
                  width: 100,
                ),
                SizedBox(width: 50),
                Expanded(
                  child: Column(
                    children: [
                      Container(
                        width: 200,
                        child: SUIButton.solid(
                          label: 'Open Bottom Sheet',
                          onPressed: () => _openBottomSheet(context),
                        ),
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}

Future<void> _openBottomSheet(BuildContext context) async {
  await SUIBottomSheet.show(
    context: context,
    floatted: true,
    enableDrag: false,
    content: Container(
      alignment: Alignment.center,
      height: 400,
      child: UIHeading(
        heading: 3,
        text: 'floatted Bottom Sheet',
      ),
    ),
  );
}
