import 'package:example/utils/external_link.dart';
import 'package:example/utils/markdown_generator..dart';
import 'package:flutter/material.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class ShiftUIButton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          ///
          /// Documentation
          ///

          Expanded(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Row(
                  children: [
                    SUIText.heading(
                      'Shift UI Button ',
                      heading: 3,
                      color: SUIPalette.primary,
                    ),
                    ExternalLink(
                      text: 'SUIButton',
                      link:
                          'https://bitbucket.org/shift_development_team/shift-ui/src/master/lib/shift_button/shift_button.dart',
                    ),
                  ],
                ),
                Container(
                  height: 200,
                  child: MarkdownGenerator(data: "shift_ui_button.md"),
                ),
              ],
            ),
          ),

          ///
          /// Examples
          ///
          Expanded(
            child: Row(
              children: [
                SizedBox(
                  width: 100,
                ),
                SizedBox(width: 50),
                Expanded(
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Container(
                        width: 200,
                        child: Column(
                          children: [
                            ///
                            /// SOLID BUTTON
                            ///
                            SUIButton.solid(
                              label: 'Shift UI Button',
                              onPressed: () => print('PRESSED'),
                              icon: Icons.arrow_forward_ios_rounded,
                            ),
                          ],
                        ),
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
