import 'package:example/utils/markdown_generator..dart';
import 'package:flutter/material.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class ShiftUIText extends StatefulWidget {
  @override
  _ShiftUITextState createState() => _ShiftUITextState();
}

class _ShiftUITextState extends State<ShiftUIText> {
  int _heading = 1;

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        children: [
          ///
          /// Documentation
          ///
          Expanded(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                SUIText.heading(
                  'Shift UI Text',
                  heading: 3,
                  color: SUIPalette.primary,
                ),
                Container(
                  height: 560,
                  child: MarkdownGenerator(data: "shift_ui_text.md"),
                ),
              ],
            ),
          ),

          ///
          /// Examples
          ///
          Expanded(
            child: Row(
              children: [
                Container(
                  width: 100,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: [
                      _headingButton('Heading 1', 1),
                      _headingButton('Heading 2', 2),
                      _headingButton('Heading 3', 3),
                      _headingButton('Heading 4', 4),
                      _headingButton('Heading 5', 5),
                      _headingButton('Heading 6', 6),
                    ],
                  ),
                ),
                SizedBox(width: 50),
                Expanded(
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: [
                      SUIText.heading(
                        'Shift is awesome',
                        heading: _heading,
                        color: SUIPalette.primary,
                      ),
                      SizedBox(height: 10),
                      SUIText.content(
                        'We move things.',
                      ),
                      SUIText.heading(
                        '2021',
                        heading: 6,
                        isNumber: true,
                      ),
                    ],
                  ),
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }

  Widget _headingButton(String text, int h) {
    return TextButton(
      child: Text(
        text,
        style: TextStyle(
          color: _heading == h ? SUIPalette.primary : Colors.black38,
        ),
      ),
      onPressed: () => setState(() => _heading = h),
    );
  }
}
