import 'package:flutter/material.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

import 'components/shift_styles/shift_styles.dart';
import 'components/shift_ui_bottom_sheet/shift_ui_bottom_sheet.dart';
import 'components/shift_ui_button/shift_ui_button.dart';
import 'components/shift_ui_text/shit_ui_text.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Shift UI',
      theme: ThemeData(
        primaryColor: SUIPalette.mondayBlues,
        fontFamily: SUIFonts.forText,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Shift UI'),
      ),
      body: SingleChildScrollView(
        child: Align(
          alignment: Alignment.center,
          child: Container(
            padding: EdgeInsets.only(top: 100, left: 20, right: 20),
            width: double.infinity,
            constraints: BoxConstraints(
              maxWidth: 1560,
            ),
            child: Column(
              children: [
                ShiftStyles(),
                SizedBox(height: 40),
                ShiftUIButton(),
                SizedBox(height: 40),
                ShiftUIText(),
                SizedBox(height: 40),
                ShiftUiBottomSheet(),
                SizedBox(height: 40),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
