import 'package:flutter/material.dart';
import 'package:shift_online_ui/shift_online_ui.dart';
import 'package:url_launcher/url_launcher.dart';

class ExternalLink extends StatelessWidget {
  const ExternalLink({
    Key? key,
    required this.text,
    required this.link,
  }) : super(key: key);

  final String text;
  final String link;

  @override
  Widget build(BuildContext context) {
    return TextButton(
      onPressed: () async {
        await launch(link);
      },
      child: Container(
        color: Colors.black12,
        padding: EdgeInsets.all(5),
        child: Row(
          children: [
            SUIText.heading(
              text,
              heading: 6,
              color: SUIPalette.primary,
            ),
            SizedBox(width: 5),
            Icon(
              Icons.link,
              size: 18,
            ),
          ],
        ),
      ),
    );
  }
}
