import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_markdown/flutter_markdown.dart';

class MarkdownGenerator extends StatelessWidget {
  const MarkdownGenerator({
    required this.data,
  });
  final String data;

  @override
  Widget build(BuildContext context) {
    return FutureBuilder(
      future: rootBundle.loadString(data),
      builder: (BuildContext context, AsyncSnapshot<String> snapshot) {
        if (!snapshot.hasData) {
          return Center(
            child: CircularProgressIndicator(),
          );
        }
        return Markdown(
          data: snapshot.data!,
          selectable: true,
          physics: NeverScrollableScrollPhysics(),
          styleSheet: MarkdownStyleSheet(
            codeblockPadding: EdgeInsets.all(20),
            code: TextStyle(
              color: Colors.pink,
              backgroundColor: Colors.transparent,
              fontSize: 15.0,
              height: 1.5,
              fontWeight: FontWeight.w500,
              letterSpacing: 0.8,
            ),
            codeblockDecoration: BoxDecoration(
              color: Color(0xFF000000),
              borderRadius: BorderRadius.all(Radius.circular(6)),
            ),
          ),
        );
      },
    );
  }
}
