import 'package:flutter/material.dart';
import 'package:flutter_ui_toolkit/UIBottomSheet/UIBottomSheet.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class SUIBottomSheet {
  static Future show({
    required BuildContext context,
    required Widget? content,
    Widget? trailing,
    bool enableDrag = true,
    bool floatted = false,
  }) async {
    return await UIBottomSheet.show(
      context: context,
      content: content,
      floatted: floatted,
      trailing: !enableDrag ? _closeSheet(context) : trailing,
    );
  }
}

Widget _closeSheet(BuildContext context) {
  return Container(
    width: 50,
    height: 50,
    margin: const EdgeInsets.only(right: 10),
    decoration: BoxDecoration(
      color: SUIPalette.primary,
      borderRadius: const BorderRadius.only(
        bottomLeft: Radius.circular(30),
        bottomRight: Radius.circular(30),
      ),
    ),
    child: IconButton(
      icon: const Icon(
        Icons.close_rounded,
        size: 30,
        color: Colors.white,
      ),
      onPressed: () => Navigator.of(context).pop(),
    ),
  );
}
