import 'package:flutter/material.dart';
import 'package:flutter_ui_toolkit/flutter_ui_toolkit.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class SUIButton {
  ///
  /// SHIFT UI SOLID BUTTON
  ///
  static Widget solid({
    required String label,
    required Function onPressed,
    double? widthFactor,
    IconData? icon,
    Widget? suffix,
  }) {
    ///
    /// Suffix
    ///
    Widget _suffix() {
      Widget i;
      if (icon != null) {
        i = Icon(
          icon,
          color: Colors.white,
          size: 20,
        );
      } else if (suffix != null) {
        i = suffix;
      } else {
        i = SizedBox.shrink();
      }

      return i;
    }

    return UIButton.solid(
      as: solidButton,
      label: label,
      onPressed: onPressed,
      icon: _suffix(),
    );
  }
}

///
/// SOLID BUTTON STYLES
///
final solidButton = UIButtonDefaults(
  bgColor: SUIPalette.primary,
  labelColor: SUIPalette.silkySmooth,
  borderRadius: 40,
  elevation: 10,
  padding: EdgeInsets.all(SUISpacing.s24),
);
