import 'package:flutter/material.dart';
import 'package:flutter_ui_toolkit/flutter_ui_toolkit.dart';
import 'package:shift_online_ui/shift_online_ui.dart';

class SUIText {
  ///
  /// HEADING
  ///
  static Widget heading(
    String text, {
    required int heading,
    bool isNumber = false,
    Color? color,
  }) {
    return UIHeading(
      as: _headingStyles,
      heading: heading,
      text: text,
      color: color,
      fontFamily: isNumber ? SUIFonts.forNumbers : SUIFonts.forText,
    );
  }

  ///
  /// TEXT CONTENT
  ///
  static Widget content(
    String text, {
    Color? color,
    bool isNumber = false,
  }) {
    return UIHeading(
      as: _contentStyles,
      text: text,
      color: color,
      fontFamily: isNumber ? SUIFonts.forNumbers : SUIFonts.forText,
    );
  }
}

///
/// HEADING STYLES
///
final _headingStyles = UIHeadingDefaults(
  color: SUIPalette.mondayBlues,
  fontWeight: FontWeight.w600,
);

///
/// TEXT CONTENT STYLES
///
final _contentStyles = UIHeadingDefaults(
  color: SUIPalette.blueGrey,
  fontWeight: FontWeight.w400,
  heading: 6,
);
